Vulnerability CVE-2011-2193


Published: 2011-06-24   Modified: 2012-02-13

Description:
Multiple buffer overflows in Terascale Open-Source Resource and Queue Manager (aka TORQUE Resource Manager) 2.x before 2.4.14, 2.5.x before 2.5.6, and 3.x before 3.0.2 allow (1) remote authenticated users to gain privileges via a long Job_Name field in a qsub command to the server, and might allow (2) local users to gain privileges via vectors involving a long host variable in pbs_iff.

See advisories in our WLB2 database:
Topic
Author
Date
High
Torque Server Buffer Overflow Vulnerability
Zabrocki, Balcer...
14.07.2011

Type:

CWE-119

(Improper Restriction of Operations within the Bounds of a Memory Buffer)

CVSS2 => (AV:N/AC:M/Au:S/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
8.5/10
10/10
6.8/10
Exploit range
Attack complexity
Authentication
Remote
Medium
Single time
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete
Affected software
Clusterresources -> Torque resource manager 

 References:
http://lists.fedoraproject.org/pipermail/package-announce/2011-July/062638.html
http://lists.fedoraproject.org/pipermail/package-announce/2011-June/061645.html
http://securityreason.com/securityalert/8304
http://www.clusterresources.com/downloads/torque/CHANGELOGS/torque-2.4.14.CHANGELOG
http://www.clusterresources.com/downloads/torque/CHANGELOGS/torque-2.5.6.CHANGELOG
http://www.debian.org/security/2011/dsa-2329
http://www.securityfocus.com/archive/1/518885/100/0/threaded
http://www.securityfocus.com/bid/48374
https://bugzilla.redhat.com/show_bug.cgi?id=711463
https://exchange.xforce.ibmcloud.com/vulnerabilities/68151
https://exchange.xforce.ibmcloud.com/vulnerabilities/68152

Copyright 2020, cxsecurity.com

 

Back to Top